Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.transaction
Class XAException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              javax.transaction.xa.XAException
                  weblogic.transaction.XAException

All Implemented Interfaces:
  Serializable, weblogic.utils.NestedThrowable

    public final class XAException

extends XAException
implements weblogic.utils.NestedThrowable

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface weblogic.utils.NestedThrowable
`weblogic.utils.NestedThrowable.Util`

Field Summary

Fields inherited from class javax.transaction.xa.XAException
`errorCode, XA_HEURCOM, XA_HEURHAZ, XA_HEURMIX, XA_HEURRB, XA_NOMIGRATE, XA_RBBASE, XA_RBCOMMFAIL, XA_RBDEADLOCK, XA_RBEND, XA_RBINTEGRITY, XA_RBOTHER, XA_RBPROTO, XA_RBROLLBACK, XA_RBTIMEOUT, XA_RBTRANSIENT, XA_RDONLY, XA_RETRY, XAER_ASYNC, XAER_DUPID, XAER_INVAL, XAER_NOTA, XAER_OUTSIDE, XAER_PROTO, XAER_RMERR, XAER_RMFAIL`

Constructor Summary
`XAException()`
`XAException(int errCode, String errMsg, Throwable t)`
`XAException(String s)`
`XAException(String s, Throwable t)`

Method Summary
`Throwable` | `getNested()`
`void` | `printStackTrace()`
`void` | `printStackTrace(PrintStream s)`
`void` | `superPrintStackTrace(PrintStream ps)`
`void` | `superPrintStackTrace(PrintWriter pw)`
`String` | `superToString()`
`String` | `toString()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XAException

    public XAException()

### XAException

    public XAException(String s)

### XAException

    public XAException(String s,
                       Throwable t)

### XAException

    public XAException(int errCode,
                       String errMsg,
                       Throwable t)

Method Detail

### getNested

    public Throwable getNested()

  Specified by:
    `getNested` in interface `weblogic.utils.NestedThrowable`
  See Also:
    `NestedThrowable.getNested()`

### superToString

    public String superToString()

  Specified by:
    `superToString` in interface `weblogic.utils.NestedThrowable`

### superPrintStackTrace

    public void superPrintStackTrace(PrintStream ps)

  Specified by:
    `superPrintStackTrace` in interface `weblogic.utils.NestedThrowable`

### superPrintStackTrace

    public void superPrintStackTrace(PrintWriter pw)

  Specified by:
    `superPrintStackTrace` in interface `weblogic.utils.NestedThrowable`

### toString

    public String toString()

  Overrides:
    `toString` in class `Throwable`

### printStackTrace

    public void printStackTrace(PrintStream s)

  Overrides:
    `printStackTrace` in class `Throwable`

### printStackTrace

    public void printStackTrace()

  Overrides:
    `printStackTrace` in class `Throwable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD